﻿using System.Collections.ObjectModel;

namespace Startup.Project.Classes
{
	public class CollectionStandartClass : StandartClass
	{
		private readonly ClassBase _type;

		public CollectionStandartClass(ClassBase type)
			: base(string.Format("ObservableCollection<{0}>", type.Name), typeof(ObservableCollection<object>).Namespace)
		{
			_type = type;
		}

		public ClassBase TemplateType
		{
			get { return _type; }
		}
	}
}
