﻿using System.Collections.Generic;
using Startup.Project.Classes;
using Startup.Project.Content;
using Startup.Project.Project;
using Startup.Project.Utils;

namespace Startup.Project.Interfaces
{
	public interface ISourceFileContainer
	{
		CustomClass AddClass(string name);
		ISourceFileContainer AddFolder(string name);
        WindowContainer AddWindow(string name, CustomClass domainClass, ClassContent domainClassContent, List<PropertyPath> publicPropertiesForShellViewModel);
		ViewDefinition AddView(string name, ClassBase sourceClass, ClassContent designerContent);
		WindowDefinition AddWindow(string name, ClassBase sourceClass, ClassContent designerContent);
	}
}
