﻿using System.Windows.Media;
using Startup.Project.Classes;
using Startup.Project.Interfaces;
using Startup.Shell.Domain;

namespace Startup.Shell.ModelDesignerPreview
{
	public abstract class IDesignerPreview
	{
		public abstract ImageSource PreviewImage { get; }
		public abstract PreviewContainer[] Children { get; }
		public abstract IDesignerPreview CreateInstance();
        public abstract UiContainer GetContainer(ClassBase dataContextType, StartupProperty property);
	}
}
