﻿using Startup.Shell.Domain;
using Startup.Shell.ModelDesignerPreview;

namespace Startup.Shell.Modules.WindowDesignerModule
{
	public class WindowDesignerModel
	{
		private readonly StartupProject _startupProject;

		public WindowDesignerModel(StartupProject startupProject)
		{
			_startupProject = startupProject;
		}

		public StartupProject StartupProject
		{
			get { return _startupProject; }
		}

		public StartupClass DomainClass
		{
			get { return _startupProject.DomainClass; }
		}

		public PreviewContainer MainWindow
		{
			get { return _startupProject.MainWindow; }
		}
	}
}
