﻿using Startup.Project.Classes;

namespace Startup.Project.Algorithm
{
    public class MethodParameter : FieldBase
    {
        private readonly string _name;
        private readonly ClassBase _type;

        public MethodParameter(string name, ClassBase type)
        {
            _name = name;
            _type = type;
        }

        public override string Name
        {
            get { return _name; }
        }

        public override ClassBase Type
        {
            get { return _type; }
        }

        public override string ToString()
        {
            return string.Format("{0} {1}", _type, _name);
        }
    }
}
