﻿using Startup.Shell.Domain;
using Startup.Shell.Modules.MainShellModule;

namespace Startup.Shell
{
	/// <summary>
	/// Interaction logic for App.xaml
	/// </summary>
	public partial class App
	{
		private readonly DomainModel _domainModel = new DomainModel();

		public static MainShellViewModel DomainModel
		{
			get
			{
				if (Current == null)
					return null;

				if (Current is App)
					return new MainShellViewModel(((App)Current)._domainModel);

				return null;
			}
		}
	}
}
